<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>columnid</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="chargeset.html">chargeset</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="columns.html">columns</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">columnid</td>
     </tr></table></p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>This is a comprehensive list of all pre-defined <a href="columns.html">columns</a>. In addition to the listed IDs all user defined attributes can be used as column IDs.</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>(annualleave | annualleavebalance | alert | alertmessages | alertsummaries | alerttrend | balance | bsi | chart | complete | completed | criticalness | cost | daily | directreports | duration | duties | efficiency | effort | effortdone | effortleft | email | end | flags | followers | freetime | freework | fte | gauge | headcount | hierarchindex | hourly | id | index | inputs | journal | journal_sub | journalmessages | journalsummaries | line | managers | maxend | maxstart | minend | minstart | monthly | no | name | note | pathcriticalness | precursors | priority | quarterly | rate | reports | resources | responsible | revenue | scenario | seqno | sickleave | specialleave | start | status | targets | wbs | unpaidleave | weekly | yearly)</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="69">Arguments</td>
      <td class="descr">annualleave</td>
      <td class="descr"><div>The number of annual leave units within the reported time period. The unit can be adjusted with <a href="loadunit.html">loadunit</a>.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">annualleavebalance</td>
      <td class="descr"><div>The balance of the annual leave at the end of the reporting interval. The unit can be adjusted with <a href="loadunit.html">loadunit</a>.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">alert</td>
      <td class="descr"><div>The alert level of the property that was reported with the date closest to the end date of the report. Container properties that don't have their own alert level reported with a date equal or newer than the alert levels of all their sub properties will get the highest alert level of their direct sub properties.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">alertmessages</td>
      <td class="descr"><div>Deprecated. Please use journal instead</div></td>
     </tr>
     <tr align="left">
      <td class="descr">alertsummaries</td>
      <td class="descr"><div>Deprecated. Please use journal instead</div></td>
     </tr>
     <tr align="left">
      <td class="descr">alerttrend</td>
      <td class="descr"><div>Shows how the alert level at the end of the report period compares to the alert level at the begining of the report period. Possible values are up, down or flat.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">balance</td>
      <td class="descr"><div>The account balance at the beginning of the reported period.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">bsi</td>
      <td class="descr"><div>The hierarchical or work breakdown structure index (i. e. 1.2.3)</div></td>
     </tr>
     <tr align="left">
      <td class="descr">chart</td>
      <td class="descr"><div>A Gantt chart. This column type requires all lines to have the same fixed height. This does not work well with rich text columns in some browsers. Some show a scrollbar for the compressed table cells, others don't. It is recommended, that you don't use rich text columns in conjuction with the chart column.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">complete</td>
      <td class="descr"><div>The completion degree of a task. Unless a completion degree is manually provided, this is a computed value relative the <a href="now.html">now</a> date of the project. A task that has ended before the now date is always 100% complete. A task that starts at or after the now date is always 0%. For <a href="effort.html">effort</a> based task the computation degree is the percentage of done effort of the overall effort. For other leaf task, the completion degree is the percentage of the already passed duration of the overall task duration. For container task, it's always the average of the direct sub tasks. If the sub tasks consist of a mixture of effort and non-effort tasks, the completion value is only of limited value.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">completed</td>
      <td class="descr"><div>Deprecated alias for complete</div></td>
     </tr>
     <tr align="left">
      <td class="descr">criticalness</td>
      <td class="descr"><div>A measure for how much effort the resource is allocated for, orhow strained the allocated resources of a task are</div></td>
     </tr>
     <tr align="left">
      <td class="descr">cost</td>
      <td class="descr"><div>The cost of the task or resource. The use of this column requires that a cost account has been set for the report using the <a href="balance.html">balance</a> attribute.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">daily</td>
      <td class="descr"><div>A group of columns with one column for each day</div></td>
     </tr>
     <tr align="left">
      <td class="descr">directreports</td>
      <td class="descr"><div>
        <p>The resources that have this resource assigned as manager.</p>
        <p>The list can be customized by the <a href="listitem.column">listitem</a> attribute.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="descr">duration</td>
      <td class="descr"><div>The duration of a task</div></td>
     </tr>
     <tr align="left">
      <td class="descr">duties</td>
      <td class="descr"><div>List of tasks that the resource is allocated to</div></td>
     </tr>
     <tr align="left">
      <td class="descr">efficiency</td>
      <td class="descr"><div>Measure for how efficient a resource can perform tasks</div></td>
     </tr>
     <tr align="left">
      <td class="descr">effort</td>
      <td class="descr"><div>The allocated effort during the reporting period</div></td>
     </tr>
     <tr align="left">
      <td class="descr">effortdone</td>
      <td class="descr"><div>The already completed effort as of now</div></td>
     </tr>
     <tr align="left">
      <td class="descr">effortleft</td>
      <td class="descr"><div>The remaining allocated effort as of now</div></td>
     </tr>
     <tr align="left">
      <td class="descr">email</td>
      <td class="descr"><div>The email address of a resource</div></td>
     </tr>
     <tr align="left">
      <td class="descr">end</td>
      <td class="descr"><div>The end date of a task</div></td>
     </tr>
     <tr align="left">
      <td class="descr">flags</td>
      <td class="descr"><div>List of attached flags</div></td>
     </tr>
     <tr align="left">
      <td class="descr">followers</td>
      <td class="descr"><div>
        <p>A list of tasks that depend on the current task. The list contains the names, the IDs, the date and the type of dependency. For the type the following symbols are used for &lt;dep&gt;.</p>
        <ul>
         <li>
          <b>]-&gt;[</b>: End-to-Start dependency</li>
         <li>
          <b>[-&gt;[</b>: Start-to-Start dependency</li>
         <li>
          <b>]-&gt;]</b>: End-to-End dependency</li>
         <li>
          <b>[-&gt;]</b>: Start-to-End dependency</li>
        </ul>
        <p>The list can be customized by the <a href="listitem.column">listitem</a> attribute. The dependency symbol can be generated via the <code>dependency</code> attribute inthe query, the target date via the <code>date</code> attribute.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="descr">freetime</td>
      <td class="descr"><div>The amount of unallocated work time of a resource during the reporting period.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">freework</td>
      <td class="descr"><div>The amount of unallocated work capacity of a resource during the reporting period. This is the product of unallocated work time times the efficiency of the resource.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">fte</td>
      <td class="descr"><div>The Full-Time-Equivalent of a resource or group. This is the ratio of the resource working time and the global working time. Working time is defined by working hours and leaves. The FTE value can vary over time and is calculated for the report interval or the user specified interval.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">gauge</td>
      <td class="descr"><div>When <a href="complete.html">complete</a> values have been provided to capture the actual progress on tasks, the gauge column will list whether the task is ahead of, behind or on schedule.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">headcount</td>
      <td class="descr"><div>
        <p>For resources this is the headcount number of the resource or resource group. For a single resource this is the <a href="efficiency.html">efficiency</a> rounded to the next integer. For a group it is the sum of the sub resources headcount.</p>
        <p>For tasks it's the number of different resources allocated to the task during the report interval. Resources are weighted with their rounded efficiencies.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="descr">hierarchindex</td>
      <td class="descr"><div>Deprecated alias for bsi</div></td>
     </tr>
     <tr align="left">
      <td class="descr">hourly</td>
      <td class="descr"><div>A group of columns with one column for each hour</div></td>
     </tr>
     <tr align="left">
      <td class="descr">id</td>
      <td class="descr"><div>The id of the item</div></td>
     </tr>
     <tr align="left">
      <td class="descr">index</td>
      <td class="descr"><div>The index of the item based on the nesting hierachy</div></td>
     </tr>
     <tr align="left">
      <td class="descr">inputs</td>
      <td class="descr"><div>
        <p>A list of milestones that are a prerequiste for the current task. For container tasks it will also include the inputs of the child tasks. Inputs may not have any predecessors.</p>
        <p>The list can be customized by the <a href="listitem.column">listitem</a> attribute.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="descr">journal</td>
      <td class="descr"><div>The journal entries for the task or resource for the reported interval. The generated text can be customized with the <a href="journalmode.html">journalmode</a>, <a href="journalattributes.html">journalattributes</a>, <a href="hidejournalentry.html">hidejournalentry</a> and <a href="sortjournalentries.html">sortjournalentries</a>. If used in queries without a property context, the journal for the complete project is generated.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">journal_sub</td>
      <td class="descr"><div>Deprecated. Please use journal instead</div></td>
     </tr>
     <tr align="left">
      <td class="descr">journalmessages</td>
      <td class="descr"><div>Deprecated. Please use journal instead</div></td>
     </tr>
     <tr align="left">
      <td class="descr">journalsummaries</td>
      <td class="descr"><div>Deprecated. Please use journal instead</div></td>
     </tr>
     <tr align="left">
      <td class="descr">line</td>
      <td class="descr"><div>The line number in the report</div></td>
     </tr>
     <tr align="left">
      <td class="descr">managers</td>
      <td class="descr"><div>
        <p>A list of managers that the resource reports to.</p>
        <p>The list can be customized by the <a href="listitem.column">listitem</a> attribute.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="descr">maxend</td>
      <td class="descr"><div>The latest allowed end of a task</div></td>
     </tr>
     <tr align="left">
      <td class="descr">maxstart</td>
      <td class="descr"><div>The lastest allowed start of a task</div></td>
     </tr>
     <tr align="left">
      <td class="descr">minend</td>
      <td class="descr"><div>The earliest allowed end of a task</div></td>
     </tr>
     <tr align="left">
      <td class="descr">minstart</td>
      <td class="descr"><div>The earliest allowed start of a task</div></td>
     </tr>
     <tr align="left">
      <td class="descr">monthly</td>
      <td class="descr"><div>A group of columns with one column for each month</div></td>
     </tr>
     <tr align="left">
      <td class="descr">no</td>
      <td class="descr"><div>The object line number in the report (Cannot be used for sorting!)</div></td>
     </tr>
     <tr align="left">
      <td class="descr">name</td>
      <td class="descr"><div>The name or description of the item</div></td>
     </tr>
     <tr align="left">
      <td class="descr">note</td>
      <td class="descr"><div>The note attached to a task</div></td>
     </tr>
     <tr align="left">
      <td class="descr">pathcriticalness</td>
      <td class="descr"><div>The criticalness of the task with respect to all the paths that it is a part of.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">precursors</td>
      <td class="descr"><div>
        <p>A list of tasks the current task depends on. The list contains the names, the IDs, the date and the type of dependency. For the type the following symbols are used</p>
        <ul>
         <li>
          <b>]-&gt;[</b>: End-to-Start dependency</li>
         <li>
          <b>[-&gt;[</b>: Start-to-Start dependency</li>
         <li>
          <b>]-&gt;]</b>: End-to-End dependency</li>
         <li>
          <b>[-&gt;]</b>: Start-to-End dependency</li>
        </ul>
        <p>The list can be customized by the <a href="listitem.column">listitem</a> attribute. The dependency symbol can be generated via the <code>dependency</code> attribute inthe query, the target date via the <code>date</code> attribute.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="descr">priority</td>
      <td class="descr"><div>The priority of a task</div></td>
     </tr>
     <tr align="left">
      <td class="descr">quarterly</td>
      <td class="descr"><div>A group of columns with one column for each quarter</div></td>
     </tr>
     <tr align="left">
      <td class="descr">rate</td>
      <td class="descr"><div>The daily cost of a resource.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">reports</td>
      <td class="descr"><div>
        <p>All resources that have this resource assigned as a direct or indirect manager.</p>
        <p>The list can be customized by the <a href="listitem.column">listitem</a> attribute.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="descr">resources</td>
      <td class="descr"><div>
        <p>A list of resources that are assigned to the task in the report time frame.</p>
        <p>The list can be customized by the <a href="listitem.column">listitem</a> attribute.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="descr">responsible</td>
      <td class="descr"><div>
        <p>The responsible people for this task.</p>
        <p>The list can be customized by the <a href="listitem.column">listitem</a> attribute.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="descr">revenue</td>
      <td class="descr"><div>The revenue of the task or resource. The use of this column requires that a revenue account has been set for the report using the <a href="balance.html">balance</a> attribute.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">scenario</td>
      <td class="descr"><div>The name of the scenario</div></td>
     </tr>
     <tr align="left">
      <td class="descr">seqno</td>
      <td class="descr"><div>The index of the item based on the declaration order</div></td>
     </tr>
     <tr align="left">
      <td class="descr">sickleave</td>
      <td class="descr"><div>The number of sick leave units within the reported time period. The unit can be adjusted with <a href="loadunit.html">loadunit</a>.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">specialleave</td>
      <td class="descr"><div>The number of special leave units within the reported time period. The unit can be adjusted with <a href="loadunit.html">loadunit</a>.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">start</td>
      <td class="descr"><div>The start date of the task</div></td>
     </tr>
     <tr align="left">
      <td class="descr">status</td>
      <td class="descr"><div>The status of a task. It is determined based on the current date or the date specified by <a href="now.html">now</a>.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">targets</td>
      <td class="descr"><div>
        <p>A list of milestones that depend on the current task. For container tasks it will also include the targets of the child tasks. Targets may not have any follower tasks.</p>
        <p>The list can be customized by the <a href="listitem.column">listitem</a> attribute.</p>
       </div></td>
     </tr>
     <tr align="left">
      <td class="descr">wbs</td>
      <td class="descr"><div>Deprecated alias for bsi.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">unpaidleave</td>
      <td class="descr"><div>The number of unpaid leave units within the reported time period. The unit can be adjusted with <a href="loadunit.html">loadunit</a>.</div></td>
     </tr>
     <tr align="left">
      <td class="descr">weekly</td>
      <td class="descr"><div>A group of columns with one column for each week</div></td>
     </tr>
     <tr align="left">
      <td class="descr">yearly</td>
      <td class="descr"><div>A group of columns with one column for each year</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2"><a href="Getting_Started.html#Structure_of_a_TJP_File">Global scope</a></td>
     </tr>
    </table></p>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="chargeset.html">chargeset</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="columns.html">columns</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
